RubyGems Navigation menu

contrast-agent 7.5.0

This gem instantiates a Rack middleware for rack-based web applications in order to provide Interactive Application Security Testing and Protection.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 7.6.0 - April 11, 2024 (648 KB)
  2. 7.5.0 - October 06, 2023 (646 KB)
  3. 7.4.1 - September 21, 2023 (645 KB)
  4. 7.4.0 - September 12, 2023 (643 KB)
  5. 7.3.2 - August 09, 2023 (640 KB)
Show all versions (79 total)

Runtime Dependencies (4):

ffi >= 0
ougai >= 1.8, < 3.0.0
rack >= 2.0, < 4.0.0

Development Dependencies (42):

async >= 0
bundler >= 0
debride = 1.8.2
excon ~> 0.92.3
execjs >= 0
fake_ftp >= 0
fasterer = 0.9.0
flay = 2.12.1
grape ~> 1.5, >= 1.5.2
openssl >= 0
pry >= 0
pry-byebug >= 3.9
rails >= 6, ~> 7
rake >= 12.3.3
rhino >= 0
rspec ~> 3.0
rspec-rails = 6.0
rubocop = 1.37.1
rubocop-rails = 2.17.2
rubocop-rake = 0.6.0
rubocop-rspec = 2.14.2
simplecov = 0.21.2
sinatra >= 2
sqlite3 >= 0
steep = 0.47.0
tilt >= 0
typhoeus ~> 1.4
warning >= 0
xpath >= 0
zlib >= 0

Owners:

Pushed by:

Authors:

  • galen.palmer@contrastsecurity.com, harold.mcginnis@contrastsecurity.com, donald.propst@contrastsecurity.com, alex.macdonald@contrastsecurity.com, mark.petersen@contrastsecurity.com, joshua.reed@contrastsecurity.com

SHA 256 checksum:

f2ee29858e40cf9f2ad2a0fb38df15e56f511765e1b7f1fcf6e9c2e66a26cdee

Total downloads 232,170

For this version 23,003

License:

CONTRAST SECURITY (see license file)

Required Ruby Version: >= 3.0.0, < 3.3.0

Links: